chemeq (2.17-1) unstable; urgency=medium

  * removed the definition of yyerror inside chemeq.y
  * restored another definition of yyerror inside chemeq.y
  * fixed yyerror's code

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Sep 2018 17:53:58 +0200

chemeq (2.16-1) unstable; urgency=medium

  * new upstream release, which fixes many reports and warnings from
    g++
  * upgraded dh level to 11, Standards-Version to 4.2.1

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Sep 2018 15:31:00 +0200

chemeq (2.15-1) unstable; urgency=medium

  * Modified the source to take in account symbols like <[-]+>
    to be rendered as \leftrightharpoons

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Jun 2018 23:00:00 +0200

chemeq (2.14-1) unstable; urgency=medium

  * applied patches from debian/patches in upstream source
  * applied Chris Lamb's patch. Closes: #901763

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Jun 2018 15:51:20 +0200

chemeq (2.13-1) unstable; urgency=medium

  * changed the LaTeX rendering for (explicitly) aqueous, solid and liquid
    species, to embed s,l,g,aq in parentheses
  * added _(s), _(l), _(g), _(aq) as accepted lexemes
  * updated the test suite accordingly, as this is a major change!
  * upgraded Standards-Version: 4.1.4

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Jun 2018 14:46:32 +0200

chemeq (2.12-3) unstable; urgency=medium

  * applied Adrian Bunk's patch. Closes: #891533
  * upgraded Standards-Version to 4.1.3, and dh level to 10
  * added Vcs repositories

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2018 16:49:29 +0100

chemeq (2.12-2) unstable; urgency=medium

  * added a build-dependency on libfl-dev; Closes: #846417
  * upgraded: Standards-Version: 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 02 Dec 2016 19:52:41 +0100

chemeq (2.12-1) unstable; urgency=low

  * modified chemeq.y to fix warnings about deprecated conversion
    from string constant to 'char*'
  * modified chemeq.cc and the test suite to embed every element name
    in a \mathrm{} structure.
  * update files which referenced my older e-mail address

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2013 17:46:16 +0200

chemeq (2.11-1) unstable; urgency=low

  * replaced the \rightarrow macro by \longrightarrow
  * removed the strange option forged for buggy WIMS behaviors
  * fixed the encodong of chemeq.h
  * implemented the version management by Makefile
  * update dh level to 9
  * updated debian/rules to dh7 format
  * updated source format to 3.0: quilt

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Jun 2013 12:06:15 +0200

chemeq (2.10-1) unstable; urgency=low

  * changed my DEBEMAIL
  * updated Standards-Version
  * added another option to deal with WIMS scripts which do not like
    \rightarrow (the sequence \r is translated to a linefeed)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Jun 2013 09:22:23 +0200

chemeq (2.9-1) unstable; urgency=low

  * upgraded the license to GPL-3
  * recoded LISEZMOI to utf-8
  * updated the email address georgesk@boltz.univ-littoral.fr ->
    georgesk@ofset.org

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 30 Jun 2009 11:22:58 +0200

chemeq (2.8-4) unstable; urgency=low

  * updated the test suite.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 01 Oct 2008 14:09:26 +0200

chemeq (2.8-3) unstable; urgency=low

  * improved the simplification of equations, when some chemical appears
    more than once in a member (this can happen when you use 
    "arithmetics" with equations.
  * updated Standards-Version
  * modified the suggestion: tetex-bin becomes texlive
  * modified Build-dependences, the minimal version of flex has no more
    release number

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 30 Sep 2008 16:58:23 +0200

chemeq (2.8-2) unstable; urgency=low

  * added a missing ";" in chemeq.y : gcc seems to need it in terminal 
    instructions.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 16 Jun 2008 19:18:44 +0200

chemeq (2.8-1) unstable; urgency=low

  * Modified the package to make it non-native, because it can be used 
    outside Debian.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 05 Dec 2007 21:40:36 +0100

chemeq (2.7) unstable; urgency=low

  * fixed one bug with the option -wl: the output contained sequences
    like "\," and Wims considers le commas like list separators.
  * added an automatic update of the version number (for Debian 
    packages).

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 18 Nov 2007 02:00:33 +0100

chemeq (2.6) unstable; urgency=low

  * fixed some bugs with the option -w

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 17 Nov 2007 23:18:03 +0100

chemeq (2.5) unstable; urgency=low

  * implemented the support of an output for WIMS with the option -w or 
    -wl

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 16 Nov 2007 09:15:31 +0100

chemeq (2.4) unstable; urgency=low

  * applied Thiemo Seufer's patch, Closes: #451049.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 14 Nov 2007 12:35:44 +0100

chemeq (2.3) unstable; urgency=low

  * modified the management of standard potentials and equilibrium 
    constants upon multiplication : an undefined constant must lead
    to an undefined result.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Sep 2007 17:53:33 +0200

chemeq (2.2) unstable; urgency=low

  * added a new multiplicative operator, to be able to multiply every
    coefficients of each reactive or product of an equation of reaction
    at the same time.
  * added some tests into the suite to account for this new feature.
  * removed a --strip option in the Makefile.
    Closes: #436622
  * modified the format of the outputs when LaTeX notations are
    involved. For example 3.2e-12 now gives 3.2\times 10^{-12}.
  * Fixed a buggy test item with the direct composition of equations
    (# operator), adapted test items according to the modification for
    LaTeX outputs.
  * Implemented the calculus of equilibrium constants and standard
    potentials throughout the possible combinations of chemical
    equations, by multiplying, adding, and substracting them with the
    operators *, # and ~.
  * recoded the files to utf-8.
  * updated the scripts chemreport, so the test suite is correctly
    formatted with LaTeX.
  * fixed a bug for negative standard potential. There stil remains a
    documented bug, due to the fact that the syntax -{int} means an
    electric charge.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 26 Aug 2007 21:35:39 +0200

chemeq (2.1) unstable; urgency=low

  * added a better simplification behavior: now H2 + H2 is resolved as
    2H2 for example.
  * updated the test suite and made it utf-8 compliant.
  * Major feature enhancement: added new binary operators, # to add two 
    chemical equations, and ~ to make a substraction between two chemical 
    equations.
  * added two tests into the suite to account for this new feature.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 01 Jun 2007 00:35:59 +0200

chemeq (1.13) unstable; urgency=low

  * made some modifications to fix compilation bugs with gcc-4.3
    Closes: Bug#417131

 -- Georges Khaznadar <georgesk@ofset.org>  Tue,  3 Apr 2007 19:51:22 +0200

chemeq (1.12) unstable; urgency=low

  * modified the behaviour with -C : now the charge count is displaied

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 11 Mar 2007 12:49:31 +0100

chemeq (1.11) unstable; urgency=low

  * fixed an error for the option -C with atom groups; for example
    B(OH)3 yelded something like B(OH)3|B:1*1 (O:1*1 H:1*1)3 which
    has little sense. Now it yelds B(OH)3|B:1*1 O:1*3 H:1*3, which
    would be the same than parsing BO3H3.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Mar 2007 22:00:17 +0100

chemeq (1.10) unstable; urgency=low

  * fixed two stupid errors in operators '&' and '-' for the Membre object:
    their return value were undefined!
    Now there is no more segmentation error when the normalisation is done.
  * added a new feature, bound to the option -C (detailed count) :
    it prints a detailed count of molecules and atoms in each member
    of the equation. This count can be used by other programs.
  * added similar features (options -e and -s), which are simpler than
    the option -C: they just print respectively the electric charges,
    and the chemical species.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 23 Feb 2007 11:54:22 +0100

chemeq (1.9) unstable; urgency=low

  * recompiled with a new version of flex (see 
    http://www.debian.org/security/2006/dsa-1020)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  2 Apr 2006 16:45:22 +0200

chemeq (1.8) unstable; urgency=low

  * added a feature: the normalised output (chemeq -n) makes simplifications
    by substracting equivalent amounts of chemicals in both members of an
    equation.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 16 Feb 2006 23:37:38 +0100

chemeq (1.7) unstable; urgency=low

  * added the environment variables prefixed with w_ to comply with Gang
    Xiao's WIMS server.
  * updated the manpage

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 28 Jan 2006 23:37:03 +0100

chemeq (1.6) unstable; urgency=low

  * fixed issues about the environment variable chemeq_input
  * updated the manpage

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 28 Jan 2006 20:04:22 +0100

chemeq (1.5) unstable; urgency=low

  * recompilation to be consistent with the new libstdc++
  * dropped the reference to g++-3.0

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Dec 2005 20:38:40 +0100

chemeq (1.4) unstable; urgency=low

  * chemeq takes in account another environment variable, chemeq_input, which
    may contain the input string for chemeq.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 27 Feb 2005 23:55:33 +0100

chemeq (1.3) unstable; urgency=low

  * now chemeq takes in account a parameter chemeq_option, which can be used
    to pass the options "mMlcwnh"

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Wed, 26 Jan 2005 13:36:12 +0100

chemeq (1.2-1) unstable; urgency=low

  * added the -M switch; features molecular weights calculation
  * corrected the references to endl (using std::endl instead)
    closes: Bug#188906
    other incorrect references to cin, cout and cerr are due to a bad
    behavior of flex when used in c++ mode.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon, 14 Apr 2003 12:04:35 +0200

chemeq (1.1.0.3-8) unstable; urgency=low

  * Rewritten the "closes"  assertion correctly
    closes: Bug#176265

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun,  2 Feb 2003 22:09:56 +0100

chemeq (1.1.0.3-7) unstable; urgency=low

  * modified the type of the "ch" varaible which is used to get the result
    of the getopt() function, to int. So the condition -1 == ch can be
    reached on every architecture.
    Closes: #176265

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 11 Jan 2003 18:45:29 +0100

chemeq (1.1.0.3-6) unstable; urgency=low

  * some fixes to comply with g++-3.2, thanks to Jeroen T. Vermeulen
    Closes: #174962

 -- Georges Khaznadar <georgesk@gk.homelinux.org>  Sun,  5 Jan 2003 00:15:16 +0100

chemeq (1.1.0.3-5) unstable; urgency=low

  * chemeq is now compliant with g++-v3 and should build on all archs.
    Closes: #146530

 -- Georges Khaznadar <georgesk@gk.homelinux.org>  Sun, 10 Nov 2002 22:00:10 +0100

chemeq (1.1.0.3-4) unstable; urgency=low

  * corrected build-depends according to last post about Bug#146552
    gcc and g++ are no more in buid-depends.
    Closes: #146530, #146552

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 27 Oct 2002 11:22:05 +0100

chemeq (1.1.0.3-3) unstable; urgency=low

  * corrected a missing parenthesis in chemreport.pl (test suite)

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 12 May 2002 15:53:36 +0200

chemeq (1.1.0.3-2) unstable; urgency=low

  * added build-depends : flex, bison, gcc, g++

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 11 May 2002 19:06:01 +0200

chemeq (1.1.0.3-1) unstable; urgency=low

  * Integrated test suite

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 05 May 2002 10:12:49 +0200

chemeq (1.1.0.2-1) unstable; urgency=low

  * Initial Release.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Thu, 28 Apr 2002 22:50:45 +0200


Local variables:
 End:

